%global momorel 1
%global qtver 4.4.0
%global kdever 4.0.80
%global kdelibsrel 1m
%global qtdir %{_libdir}/qt4
%global kdedir /usr

Summary:	QtWebKit based Web Browser
Name:		foxkit
Version:	0.0.5
Release:	%{momorel}m%{?dist}
License:	GPLv2
URL:		http://kitdef.blogspot.com/
Group:		Applications/Internet
Source0:	http://foxkit.googlecode.com/files/%{name}-%{version}.tar.gz
NoSource:	0
Source1:	%{name}.desktop
Patch0:		foxkit-0.0.5-fix-cast.patch
Patch1:		foxkit-0.0.5-version.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:	kdelibs >= %{kdever}-%{kdelibsrel}
BuildPreReq:	qt-devel >= %{qtver}
BuildPreReq:	kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq:	cmake

%description
Foxkit is a KDE Web Browser written using WebKit, Qt, and KDE.

%prep
%setup -q
%ifarch x86_64
%patch0 -p1 -b .fix-cast
%endif
%patch1 -p1 -b .version

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform} VERBOSE=1

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}

mkdir -p %{buildroot}%{_kde4_appsdir}/foxkit
install -m 644 ./src/foxkitui.rc %{buildroot}%{_kde4_appsdir}/foxkit

# install desktop file
mkdir -p %{buildroot}%{_kde4_datadir}/applications/kde4
install -m 644 %{SOURCE1} %{buildroot}%{_kde4_datadir}/applications/kde4/

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc COPYING
%{_kde4_bindir}/foxkit
%{_kde4_datadir}/applications/kde4/foxkit.desktop
%{_kde4_appsdir}/foxkit

%changelog
* Sat Aug  2 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.0.5-1m)
- update to 0.0.5

* Thu Jun 12 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.0.2-1m)
- update to 0.0.2

* Wed Jun 11 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.0.1-2m)
- add foxkit.desktop

* Tue Jun 10 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.0.1-1m)
- initial build for Momonga Linux 5
